#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkcddb
Epoch:          3
Version: 16.12.3
Release:        %mkrel %{rel}
Summary:        Library for retrieving and sending cddb information
Group:          System/Libraries
License:        GPLv2
URL:            https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Source0:        http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5WidgetsAddons)

BuildRequires:  pkgconfig(libmusicbrainz5)

%description
A library for retrieving and sending cddb information.

#------------------------------------------------------------------------------

%package -n kcm_cddb
Summary:        KCM module for configuring cddb information
URL:            https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Group:          Sound/Utilities
Recommends:     kcm_cddb-handbook >= %{epoch}:%{version}

%description -n kcm_cddb
This package provides the KCM configuration tool for cddb.

%files -n kcm_cddb
%_qt5_plugindir/kcm_cddb.so
%_kf5_datadir/config.kcfg/libkcddb5.kcfg
%_kf5_services/libkcddb.desktop

#-----------------------------------------------------------------------------
%package -n kcm_cddb-handbook
Summary:        Handbook package for kcm_cddb
Group:          Documentation
Requires:       kcm_cddb = %{epoch}:%{version}
BuildArch:      noarch

%description -n kcm_cddb-handbook
This package provides the handbook for KCM cddb.

%files -n kcm_cddb-handbook
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML/en/kcontrol/cddbretrieval5

#------------------------------------------------------------------------------

%define kf5cddb_major 5
%define libkf5cddb %mklibname kf5cddb %kf5cddb_major

%package -n %{libkf5cddb}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libkf5cddb}
A library for retrieving and sending cddb information.

%files -n %{libkf5cddb}
%_kf5_libdir/libKF5Cddb.so.%{kf5cddb_major}{,.*}

#------------------------------------------------------------------------------

%define kf5cddbwidgets_major 5
%define libkf5cddbwidgets %mklibname kf5cddbwidgets %kf5cddbwidgets_major

%package -n %{libkf5cddbwidgets}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libkf5cddbwidgets}
A library for retrieving and sending cddb information.

%files -n %{libkf5cddbwidgets}
%_kf5_libdir/libKF5CddbWidgets.so.%{kf5cddbwidgets_major}{,.*}

#------------------------------------------------------------------------------

%define libkf5cddb_devel %mklibname kf5cddb -d

%package -n %{libkf5cddb_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5cddb = %epoch:%version-%release
Requires:       %libkf5cddbwidgets = %epoch:%version-%release
Provides:       %{name}-devel = %epoch:%version-%release
Provides:       kcddb-devel = %epoch:%version-%release
Provides:       kf5cddb-devel = %epoch:%version-%release

%description -n %{libkf5cddb_devel}
A library for retrieving and sending cddb information.

This package contains header files needed if you wish to build applications
based on libkcddb.

%files -n %{libkf5cddb_devel}
%_kf5_includedir/*
%_kf5_libdir/libKF5Cddb.so
%_kf5_libdir/libKF5CddbWidgets.so
%_kf5_libdir/cmake/KF5Cddb
%_kf5_mkspecsdir/*.pri

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1090141
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1077014
- New version 16.12.0

* Tue Dec 06 2016 daviddavid <daviddavid> 3:16.11.90-1.mga6
+ Revision: 1072858
- port to Kf5/Qt5

  + neoclust <neoclust>
    - New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067395
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061458
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050721
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047369
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1040123
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012613
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1004402
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 994969
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991245
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987523
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 922687
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 3:15.12.0-1.mga6
+ Revision: 912044
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 3:15.11.80-1.mga6
+ Revision: 905514
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 3:15.08.3-1.mga6
+ Revision: 901066
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 3:15.08.1-1.mga6
+ Revision: 880921
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 3:15.08.0-1.mga6
+ Revision: 866364
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 3:15.07.80-1.mga6
+ Revision: 859192
- Update to KDE Applications 15.08 Beta

* Thu Jul 02 2015 fwang <fwang> 3:4.14.3-2.mga6
+ Revision: 849482
- rebuild for new libmusicbrainz5

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800660
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787758
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 750113
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734610
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 681550
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667545
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 663057
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656735
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653920
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 652031
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636794
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625561
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615638
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609454
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606895
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603402
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600736
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 590523
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 580655
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555054
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551326
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 539788
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490666
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488653
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476711
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465104
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458972
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455358
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 447849
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 3:4.10.4-1.mga4
+ Revision: 435019
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 3:4.10.3-1.mga4
+ Revision: 428319
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407138
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401932
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394323
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 357570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 3:4.9.97-1.mga3
+ Revision: 339291
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334473
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Fix files list

* Tue Dec 04 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326615
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320161
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316114
- Update tarball to KDE SC 4.9.3

* Mon Oct 15 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 305721
- Fix devel package
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289643
- Update tarball to KDE SC 4.9.1

  + fwang <fwang>
    - bump conflicts on %%{_lib}kcddb4 for file movements
    - tag handbook package as noarch

* Tue Jul 31 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 276625
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0
- Fix files list in library package
- Add a kcm subpackage (more correct name than libkcddb)
- Add handbook subpackage

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 269709
- new version 4.8.97

* Sun Jul 01 2012 fwang <fwang> 3:4.8.95-2.mga3
+ Revision: 265891
- add conflicts to ease upgrade

* Sat Jun 30 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 265258
- update file list
- imported package libkcddb

